Page MenuHomePhabricator

Copying and pasting wikitext with refs results in the addition of a <references /> block
Closed, ResolvedPublic8 Estimated Story Points

Description

Step to reproduce:
Copy this text from the German Wikipedia, and paste it into VisualEditor:

England gelang zwar sechs Minuten später durch einen von [[Allan Clarke (Fußballspieler)|Allan Clarke]] verwandelten Elfmeter der Ausgleich, mehr ließen die Polen, insbesondere ihr Torhüter [[Jan Tomaszewski]] - der kurz zuvor von [[Brian Clough]] als Clown tituliert wurde - nicht zu.<ref>[http://eu-football.info/_match.php?id=12071 eu-football.info: „Football MATCH: 17. Oktober 1973 England v Poland“]</ref> „It's all over“ wurde dies vom Kommentator des Spiels kommentiert.<ref>[https://www.youtube.com/watch?v=Vi9vZCo215w England 1-1 Poland (1973) WCQ ]</ref>

Expected result: The two sentences and their refs appear on the page.

Actual result: The two sentences and their refs and a new ref block appear on the page. See https://en.wikipedia.org/w/index.php?diff=706161685&oldid=706161369 or probably https://hy.wikipedia.org/w/index.php?diff=3925792&oldid=3925763

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 21 2016, 9:00 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Jdforrester-WMF triaged this task as Low priority.Feb 22 2016, 10:09 PM
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
Esanders closed this task as Resolved.Mar 26 2016, 10:35 PM
Esanders claimed this task.
Esanders added a subscriber: Esanders.

This was fixed (slightly hackily) with https://gerrit.wikimedia.org/r/#/c/275193/

Change 279730 had a related patch set uploaded (by Esanders):
Filter out auto-generated reference lists

https://gerrit.wikimedia.org/r/279730

The above patch fixes this is a cleaner way, using the new attribute provided by Parsoid.

Change 279730 merged by jenkins-bot:
Filter out auto-generated reference lists

https://gerrit.wikimedia.org/r/279730